/*  Lyrics plugin for X11amp by Karol Bryd <kbryd@albedo.art.pl>
 *  XMMS is Copyright (C) 1998-1999  Mikael Alm, Olle Hallnas, Thomas Nilsson and 4Front Technologies
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <gdk/gdkx.h>
#include <gtk/gtk.h>

/* This is wrong: C complilers don't have to understand C++ comments. */
#ifdef DEBUG
#	define dprintf	printf
#else
#	define dprintf
#endif

struct LyricsLine
{
    struct LyricsLine *next;

    char *buffer;
    int line_time;
    int line_number;
    int rep;
};

struct Song
{
    struct LyricsLine *head;
    struct LyricsLine *tail;

    char *author;
    char *artist;
    char *title;
    char *language;
};

extern char *ext[];

extern void configure(void);
extern void about(void);
extern void init_gtk(void);
extern void load_song(void);
extern void set_line(gint time);
extern void *set_song_pos(GtkWidget * gtklist, gint row, gint column,
			  GdkEventButton * event, gpointer data);
extern struct Song *read_lyrics_file(char *filename);
extern gint plugin_timeout(gpointer args);

extern void update_prefs(void);
extern void get_font_height(void);
void redraw_list(void);
